Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000074graphvizNeatopublic2002-07-02 14:442011-04-28 04:02
Reporteruser695 
Assigned Toerg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-OS Version
Summary0000074: neato SIGFPE
Description



graphviz> dotneato/neato -Tpng ~/b124.dot | xv -
caught SIGFPE 8
Additional Information
This is the same input file as for bug # 124.

When the arrowhead code was merged, a test in neato for d > 0
was dropped before a division by d. d == 0 means a single point spline,
which can happen in neato when nodes overlap.
When this occurs, I believe the final drawing has the occasional stray
arrowhead. We might want to change the output to ignore these edges.

This problem doesn't arrive on mips. mips has the floating point
exception turned off and just generates an Inf, for which the
ensuing code is fine.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID167
INPUT-FILEhttp://www.graphviz.org/bugs/b124.dot [^]
OUTPUT-FILE
STATUS-COMMENTFixed (3 July 2002)
VERSION     CVS today
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:02 user1 New Issue
2011-04-28 04:02 user1 Assigned To => erg


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker